Lintian Fixes - trilead-putty-extension

Ready changes

Merge these changes:

git pull https://janitor.debian.net/git/trilead-putty-extension lintian-fixes

Summary

Diff

=== modified file 'debian/changelog'
--- a/debian/changelog	2013-05-16 10:18:19 +0000
+++ b/debian/changelog	2020-06-11 10:18:11 +0000
@@ -1,19 +1,31 @@
+trilead-putty-extension (1.2-2) UNRELEASED; urgency=low
+
+  * Trim trailing whitespace.
+  * Use secure copyright file specification URI.
+  * Bump debhelper from deprecated 7 to 10.
+  * Use secure URI in Vcs control header Vcs-Git.
+  * Update Vcs-* headers from URL redirect.
+  * Use canonical URL in Vcs-Git.
+  * Remove unnecessary get-orig-source-target.
+
+ -- Debian Janitor <janitor@jelmer.uk>  Thu, 11 Jun 2020 10:14:01 -0000
+
 trilead-putty-extension (1.2-1) unstable; urgency=low
 
-  * Upload to unstable. 
+  * Upload to unstable.
 
  -- James Page <james.page@ubuntu.com>  Thu, 16 May 2013 11:17:57 +0100
 
 trilead-putty-extension (1.2-1~exp1) experimental; urgency=low
 
-  * New upstream version. 
+  * New upstream version.
 
  -- James Page <james.page@ubuntu.com>  Wed, 09 Jan 2013 16:32:59 +0000
 
 trilead-putty-extension (1.1-2) unstable; urgency=low
 
   * Fix FTBFS (Closes: #662131) (LP: #935474):
-    - d/libtrilead-putty-extension-java.poms: Added --java-lib 
+    - d/libtrilead-putty-extension-java.poms: Added --java-lib
       parameter to ensure jar file installed to /usr/share/java.
   * Bumped Standards-Version: 3.9.3:
     - d/copyright: Updated to point to published version of spec.

=== modified file 'debian/compat'
--- a/debian/compat	2011-09-19 13:46:54 +0000
+++ b/debian/compat	2020-06-11 10:15:33 +0000
@@ -1,1 +1,1 @@
-7
+10

=== modified file 'debian/control'
--- a/debian/control	2013-01-09 22:21:36 +0000
+++ b/debian/control	2020-06-11 10:17:33 +0000
@@ -5,7 +5,7 @@
 Uploaders: James Page <james.page@ubuntu.com>
 Build-Depends:
  cdbs,
- debhelper (>= 7),
+ debhelper (>= 10~),
  default-jdk,
  javahelper,
  maven-debian-helper
@@ -18,8 +18,8 @@
  libmaven-javadoc-plugin-java
 Standards-Version: 3.9.4
 Homepage: https://trilead-putty-extension.dev.java.net/
-Vcs-Git: git://git.debian.org/git/pkg-java/trilead-putty-extension.git
-Vcs-Browser: http://git.debian.org/?p=pkg-java/trilead-putty-extension.git
+Vcs-Git: https://salsa.debian.org/java-team/trilead-putty-extension.git
+Vcs-Browser: https://salsa.debian.org/java-team/trilead-putty-extension
 
 Package: libtrilead-putty-extension-java
 Architecture: all

=== modified file 'debian/copyright'
--- a/debian/copyright	2012-03-04 21:42:57 +0000
+++ b/debian/copyright	2020-06-11 10:14:55 +0000
@@ -1,4 +1,4 @@
-Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
 Upstream-Name: PuTTY support for Trilead SSH2 library
 Source: https://trilead-putty-extension.dev.java.net/
 

=== modified file 'debian/rules'
--- a/debian/rules	2011-09-19 13:46:54 +0000
+++ b/debian/rules	2020-06-11 10:18:11 +0000
@@ -5,6 +5,3 @@
 include /usr/share/cdbs/1/class/maven.mk
 
 JAVA_HOME := /usr/lib/jvm/default-java
-
-get-orig-source:
-	uscan --download-version $(DEB_UPSTREAM_VERSION) --force-download --rename

Run locally

Try this locally (using the lintian-brush package):

debcheckout trilead-putty-extension
cd trilead-putty-extension
lintian-brush --exclude=upstream-metadata-file

More details

Full run details